package ke;

/**
 * MSc Knowledge Engineering 2004-2005 (Semester 2)
 * School of Informatics, The University of Edinburgh
 * Second Practical Assignment
 * Author: Michael Rovatsos
 */


//class used to represent a message
public class Message {

    private String sender;        //name of the sender of a message
    private String performative;  //performative identifies
    private String content;       //content of the message (normally a hypothesis)

    //construct a new message
    public Message(String s, String p, String c) {
	sender = s;
	performative = p;
	content = c;
    }

    //simple get/set pairs for all fields of the class
    public String getSender() {
	return sender;
    }

    public void setSender(String newSender) {
	sender = newSender;
    }

    public String getPerformative() {
	return performative;
    }

    public void setPerformative(String newPerformative) {
	performative = newPerformative;
    }

    public String getContent() {
	return content;
    }

    public void setContent(String newContent) {
	content = newContent;
    }

    public String toString() {
	return ""+performative+"("+sender+","+content+")";

    }

}